Subject: Re: [cicm] Why do we need a high assurance API?

From: "Davidson, John A." <[email-masked]>
Date: Fri, 22 Jul 2011 07:53:14 -0700

Hi Jim, 
I think I am missing your point, or maybe the point of Lev's question??

I agree with you there is little or no standardization, I'm just saying it would be good for the reasons I tried to articulate. 

Thanks, 
John

________________________________

From: [email-masked] <[email-masked]> 
To: CICM Discussion List <[email-masked]> 
Sent: Fri Jul 22 06:40:35 2011
Subject: Re: [cicm] Why do we need a high assurance API? 

John,

I work in the HA world, so my experience in FIPS 140-2 or the commercial field is limited.

I believe that there already exist several, perhaps many, Crypto APIs for the FIPS 140-2 and commercial world.  Currently in the HA market space there isn’t standardization in how applications/hosts request services from HA products.

Jim Cottrell

From: [email-masked] [mailto:[email-masked]] On Behalf Of Davidson, John A.
Sent: Friday, July 22, 2011 1:24 AM
To: [email-masked]
Subject: Re: [cicm] Why do we need a high assurance API?

Hi all,

By high “assurance crypto API,” I believe we mean an API for a HA crypto, because I don’t believe a HA API is realistic.  So, that leaves me wondering why even include the term HA, maybe we need an API for both HA and non-HA cryptos, I think. 

The API standardizes the interface between any SDR’s SW and the crypto, any crypto.  That enables the potential to swap cryptos (in some cases) without disrupting the SDR SW and vice versa.  For example, we can sell a radio to our native country with non-exportable crypto technology and then sell it even to potential adversaries with a different exportable crypto or their own crypto.  Or sell our nifty crypto for use in many SDRs and expect it to plug and play in them. 

My relevant experience:

For three decades I have developed and certified high assurance MLS comm. systems, crypto accelerators, MLS operating systems (two achieved “A1” under the old Orange Book) and MLS intel integration systems for common operating picture, published research in COMPUSEC, SE methodology, and SW MODEM design.  I’ve worked as an IA engineer for JTRS for the past 6 years. 

John 
San Diego, CA

----- Original Message -----
From: [email-masked] <[email-masked]>
To: CICM Discussion List ([email-masked]) <[email-masked]>
Sent: Thu Jul 21 09:01:55 2011
Subject: [cicm] Why do we need a high assurance API?

For the benefit of IETF folks who are unfamiliar with this area who will
be reading this list during and after the BOF:

  Why do we need a high assurance crypto API?

Please write a brief response that relates to your (or your
organization's) experience.

Thank you,
Lev
_______________________________________________
cicm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/cicm